# Package org.apache.solr.client.solrj.util

package org.apache.solr.client.solrj.util
Utilities for Solr client applications.

Related Packages
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.beans
Annotation based mapping of client objects to Solr documents.
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.client.solrj.routing
Classes to handle query routing preferences
Class
Description
ClientUtils
Constants
SolrIdentifierValidator
Ensures that provided identifiers align with Solr's recommendations/requirements for choosing collection, core, etc.
SolrIdentifierValidator.IdentifierType